package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.CmsAlbum;
import com.ruoyi.system.domain.CmsAlbumMaterial;
import com.ruoyi.system.domain.CmsMaterial;

/**
 * 相册管理Mapper接口
 *
 * @author libao
 * @date 2024-05-09
 */
public interface CmsAlbumMapper
{
    /**
     * 查询相册管理
     *
     * @param albumId 相册管理主键
     * @return 相册管理
     */
    public CmsAlbum selectCmsAlbumByAlbumId(String albumId);

    /**
     * 查询相册管理列表
     *
     * @param cmsAlbum 相册管理
     * @return 相册管理集合
     */
    public List<CmsAlbum> selectCmsAlbumList(CmsAlbum cmsAlbum);

    /**
     * 新增相册管理
     *
     * @param cmsAlbum 相册管理
     * @return 结果
     */
    public int insertCmsAlbum(CmsAlbum cmsAlbum);

    /**
     * 修改相册管理
     *
     * @param cmsAlbum 相册管理
     * @return 结果
     */
    public int updateCmsAlbum(CmsAlbum cmsAlbum);

    /**
     * 删除相册管理
     *
     * @param albumId 相册管理主键
     * @return 结果
     */
    public int deleteCmsAlbumByAlbumId(String albumId);

    /**
     * 批量删除相册管理
     *
     * @param albumIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmsAlbumByAlbumIds(String[] albumIds);

    /**
     * 批量插入专辑素材
     *
     * @param albumMaterials 专辑素材
     * @return 结果
     */
    public int insertAlbumMaterialBatch(List<CmsAlbumMaterial> albumMaterials);



    public List<CmsAlbumMaterial> selectAlbumMaterialByIds(String[] ids);

    /**
     * 批量删除专辑素材
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteAlbumMaterialByIds(String[] ids);
}
