package com.ruoyi.system.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.system.domain.CmsArticle;
import org.apache.ibatis.annotations.Param;

/**
 * 文章管理Mapper接口
 *
 * @author libao
 * @date 2024-05-09
 */
public interface CmsArticleMapper
{
    /**
     * 查询文章管理
     *
     * @param id 文章管理主键
     * @return 文章管理
     */
    public CmsArticle selectCmsArticleById(Long id);

    /**
     * 查询文章管理列表
     *
     * @param cmsArticle 文章管理
     * @return 文章管理集合
     */
    public List<CmsArticle> selectCmsArticleList(CmsArticle cmsArticle);

    /**
     * 新增文章管理
     *
     * @param cmsArticle 文章管理
     * @return 结果
     */
    public int insertCmsArticle(CmsArticle cmsArticle);

    /**
     * 修改文章管理
     *
     * @param cmsArticle 文章管理
     * @return 结果
     */
    public int updateCmsArticle(CmsArticle cmsArticle);

    /**
     * 删除文章管理
     *
     * @param id 文章管理主键
     * @return 结果
     */
    public int deleteCmsArticleById(Long id);

    /**
     * 批量删除文章管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmsArticleByIds(Long[] ids);


    /**
     * 模糊查询
     * @param author
     * @param title
     * @param keywords
     * @param description
     * @param articleModel
     * @return
     */
    public List<CmsArticle> selectArticlesFuzzySearch(@Param("author") String author,
                                                   @Param("title") String title,
                                                   @Param("keywords") String keywords,
                                                   @Param("description") String description,
                                                   @Param("articleModel") String articleModel);


    /**
     * 查询文章内容
     * @param article_id
     * @return
     */
    public Map<String,Object> getArticleContent(String article_id);
}
