package com.ruoyi.system.mapper;

import java.util.List;

import com.ruoyi.system.domain.CmsAlbumMaterial;
import com.ruoyi.system.domain.CmsMaterial;
import com.ruoyi.system.domain.CmsMaterialUse;
import org.apache.ibatis.annotations.Param;

/**
 * 素材管理Mapper接口
 *
 * @author libao
 * @date 2024-05-09
 */
public interface CmsMaterialMapper
{
    /**
     * 查询素材管理
     *
     * @param materialId 素材管理主键
     * @return 素材管理
     */
    public CmsMaterial selectCmsMaterialByMaterialId(String materialId);

    /**
     * 查询素材管理列表
     *
     * @param cmsMaterial 素材管理
     * @return 素材管理集合
     */
    public List<CmsMaterial> selectCmsMaterialList(CmsMaterial cmsMaterial);

    /**
     * 新增素材管理
     *
     * @param cmsMaterial 素材管理
     * @return 结果
     */
    public int insertCmsMaterial(CmsMaterial cmsMaterial);

    /**
     * 修改素材管理
     *
     * @param cmsMaterial 素材管理
     * @return 结果
     */
    public int updateCmsMaterial(CmsMaterial cmsMaterial);

    /**
     * 删除素材管理
     *
     * @param materialId 素材管理主键
     * @return 结果
     */
    public int deleteCmsMaterialByMaterialId(String materialId);

    /**
     * 批量删除素材管理
     *
     * @param materialIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmsMaterialByMaterialIds(String[] materialIds);


    /**
     * 查询专辑关联的素材
     * @param material
     * @return
     */
    public  List<CmsAlbumMaterial>  selectAlbumMaterialList(CmsMaterial material);

    /**
     * 更新素材的使用状态
     * @param materialId
     * @param useState
     * @return
     */
    public int updateMaterialUseState(@Param("materialId") String materialId, @Param("useState") String useState);


    /**
     * 批量插入使用记录
     * @param materialUses
     * @return
     */

    public int insertMaterialUseBatch(List<CmsMaterialUse> materialUses);
    public int deleteMaterialUseByMx(@Param("materialId") String materialId, @Param("table") String table, @Param("useId") String useId, @Param("column") String column);

    /**
     * 查询某个素材有几条使用记录（cms_material_use）
     * @param materialId
     * @return
     */
    public int selectCountMaterialUse(String materialId);
}
