package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.CmsAlbumMaterial;

/**
 * 相册关联素材表Service接口
 * 
 * @author libao
 * @date 2024-05-11
 */
public interface ICmsAlbumMaterialService 
{
    /**
     * 查询相册关联素材表
     * 
     * @param id 相册关联素材表主键
     * @return 相册关联素材表
     */
    public CmsAlbumMaterial selectCmsAlbumMaterialById(Long id);

    /**
     * 查询相册关联素材表列表
     * 
     * @param cmsAlbumMaterial 相册关联素材表
     * @return 相册关联素材表集合
     */
    public List<CmsAlbumMaterial> selectCmsAlbumMaterialList(CmsAlbumMaterial cmsAlbumMaterial);

    /**
     * 新增相册关联素材表
     * 
     * @param cmsAlbumMaterial 相册关联素材表
     * @return 结果
     */
    public int insertCmsAlbumMaterial(CmsAlbumMaterial cmsAlbumMaterial);

    /**
     * 修改相册关联素材表
     * 
     * @param cmsAlbumMaterial 相册关联素材表
     * @return 结果
     */
    public int updateCmsAlbumMaterial(CmsAlbumMaterial cmsAlbumMaterial);

    /**
     * 批量删除相册关联素材表
     * 
     * @param ids 需要删除的相册关联素材表主键集合
     * @return 结果
     */
    public int deleteCmsAlbumMaterialByIds(Long[] ids);

    /**
     * 删除相册关联素材表信息
     * 
     * @param id 相册关联素材表主键
     * @return 结果
     */
    public int deleteCmsAlbumMaterialById(Long id);
}
