package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.CmsAlbum;
import com.ruoyi.system.domain.CmsAlbumMaterial;
import com.ruoyi.system.domain.CmsMaterial;

/**
 * 相册管理Service接口
 *
 * @author libao
 * @date 2024-05-09
 */
public interface ICmsAlbumService
{
    /**
     * 查询相册管理
     *
     * @param albumId 相册管理主键
     * @return 相册管理
     */
    public CmsAlbum selectCmsAlbumByAlbumId(String albumId);

    /**
     * 查询相册管理列表
     *
     * @param cmsAlbum 相册管理
     * @return 相册管理集合
     */
    public List<CmsAlbum> selectCmsAlbumList(CmsAlbum cmsAlbum);

    /**
     * 新增相册管理
     *
     * @param cmsAlbum 相册管理
     * @return 结果
     */
    public int insertCmsAlbum(CmsAlbum cmsAlbum);

    /**
     * 修改相册管理
     *
     * @param cmsAlbum 相册管理
     * @return 结果
     */
    public int updateCmsAlbum(CmsAlbum cmsAlbum);

    /**
     * 批量删除相册管理
     *
     * @param albumIds 需要删除的相册管理主键集合
     * @return 结果
     */
    public int deleteCmsAlbumByAlbumIds(String[] albumIds);

    /**
     * 删除相册管理信息
     *
     * @param albumId 相册管理主键
     * @return 结果
     */
    public int deleteCmsAlbumByAlbumId(String albumId);


    /**
     * 专辑绑定的素材列表
     * @param material
     * @return
     */
    public List<CmsAlbumMaterial> selectAlbumMaterialList(CmsMaterial material);

    /**
     * 保存关联的素材
     * @param albumId
     * @param materialIds
     */
    public void saveMaterial(String albumId, String materialIds);

    /**
     * 取消关联的素材
     * @param ids
     */
    public void deleteMaterialBatch(String ids);
}
