package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.CmsArticleContent;

/**
 * 文章内容管理Service接口
 * 
 * @author libao
 * @date 2024-05-09
 */
public interface ICmsArticleContentService 
{
    /**
     * 查询文章内容管理
     * 
     * @param id 文章内容管理主键
     * @return 文章内容管理
     */
    public CmsArticleContent selectCmsArticleContentById(String id);

    /**
     * 查询文章内容管理列表
     * 
     * @param cmsArticleContent 文章内容管理
     * @return 文章内容管理集合
     */
    public List<CmsArticleContent> selectCmsArticleContentList(CmsArticleContent cmsArticleContent);

    /**
     * 新增文章内容管理
     * 
     * @param cmsArticleContent 文章内容管理
     * @return 结果
     */
    public int insertCmsArticleContent(CmsArticleContent cmsArticleContent);

    /**
     * 修改文章内容管理
     * 
     * @param cmsArticleContent 文章内容管理
     * @return 结果
     */
    public int updateCmsArticleContent(CmsArticleContent cmsArticleContent);

    /**
     * 批量删除文章内容管理
     * 
     * @param ids 需要删除的文章内容管理主键集合
     * @return 结果
     */
    public int deleteCmsArticleContentByIds(String[] ids);

    /**
     * 删除文章内容管理信息
     * 
     * @param id 文章内容管理主键
     * @return 结果
     */
    public int deleteCmsArticleContentById(String id);
}
