package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.system.domain.CmsAlbumMaterial;
import com.ruoyi.system.domain.CmsMaterial;

/**
 * 素材管理Service接口
 *
 * @author libao
 * @date 2024-05-09
 */
public interface ICmsMaterialService
{
    /**
     * 查询素材管理
     *
     * @param materialId 素材管理主键
     * @return 素材管理
     */
    public CmsMaterial selectCmsMaterialByMaterialId(String materialId);

    /**
     * 查询素材管理列表
     *
     * @param cmsMaterial 素材管理
     * @return 素材管理集合
     */
    public List<CmsMaterial> selectCmsMaterialList(CmsMaterial cmsMaterial);

    /**
     * 新增素材管理
     *
     * @param cmsMaterial 素材管理
     * @return 结果
     */
    public int insertCmsMaterial(CmsMaterial cmsMaterial);

    /**
     * 修改素材管理
     *
     * @param cmsMaterial 素材管理
     * @return 结果
     */
    public int updateCmsMaterial(CmsMaterial cmsMaterial);

    /**
     * 批量删除素材管理
     *
     * @param materialIds 需要删除的素材管理主键集合
     * @return 结果
     */
    public int deleteCmsMaterialByMaterialIds(String[] materialIds);

    /**
     * 删除素材管理信息
     *
     * @param materialId 素材管理主键
     * @return 结果
     */
    public int deleteCmsMaterialByMaterialId(String materialId);

}
