package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.CmsMaterialGroupMapper;
import com.ruoyi.system.domain.CmsMaterialGroup;
import com.ruoyi.system.service.ICmsMaterialGroupService;

/**
 * 素材分组管理Service业务层处理
 * 
 * @author libao
 * @date 2024-05-09
 */
@Service
public class CmsMaterialGroupServiceImpl implements ICmsMaterialGroupService 
{
    @Autowired
    private CmsMaterialGroupMapper cmsMaterialGroupMapper;

    /**
     * 查询素材分组管理
     * 
     * @param groupId 素材分组管理主键
     * @return 素材分组管理
     */
    @Override
    public CmsMaterialGroup selectCmsMaterialGroupByGroupId(Long groupId)
    {
        return cmsMaterialGroupMapper.selectCmsMaterialGroupByGroupId(groupId);
    }

    /**
     * 查询素材分组管理列表
     * 
     * @param cmsMaterialGroup 素材分组管理
     * @return 素材分组管理
     */
    @Override
    public List<CmsMaterialGroup> selectCmsMaterialGroupList(CmsMaterialGroup cmsMaterialGroup)
    {
        return cmsMaterialGroupMapper.selectCmsMaterialGroupList(cmsMaterialGroup);
    }

    /**
     * 新增素材分组管理
     * 
     * @param cmsMaterialGroup 素材分组管理
     * @return 结果
     */
    @Override
    public int insertCmsMaterialGroup(CmsMaterialGroup cmsMaterialGroup)
    {
        cmsMaterialGroup.setCreateTime(DateUtils.getNowDate());
        return cmsMaterialGroupMapper.insertCmsMaterialGroup(cmsMaterialGroup);
    }

    /**
     * 修改素材分组管理
     * 
     * @param cmsMaterialGroup 素材分组管理
     * @return 结果
     */
    @Override
    public int updateCmsMaterialGroup(CmsMaterialGroup cmsMaterialGroup)
    {
        return cmsMaterialGroupMapper.updateCmsMaterialGroup(cmsMaterialGroup);
    }

    /**
     * 批量删除素材分组管理
     * 
     * @param groupIds 需要删除的素材分组管理主键
     * @return 结果
     */
    @Override
    public int deleteCmsMaterialGroupByGroupIds(Long[] groupIds)
    {
        return cmsMaterialGroupMapper.deleteCmsMaterialGroupByGroupIds(groupIds);
    }

    /**
     * 删除素材分组管理信息
     * 
     * @param groupId 素材分组管理主键
     * @return 结果
     */
    @Override
    public int deleteCmsMaterialGroupByGroupId(Long groupId)
    {
        return cmsMaterialGroupMapper.deleteCmsMaterialGroupByGroupId(groupId);
    }
}
