package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.CmsMaterialUseMapper;
import com.ruoyi.system.domain.CmsMaterialUse;
import com.ruoyi.system.service.ICmsMaterialUseService;

/**
 * 素材使用记录Service业务层处理
 * 
 * @author libao
 * @date 2024-05-09
 */
@Service
public class CmsMaterialUseServiceImpl implements ICmsMaterialUseService 
{
    @Autowired
    private CmsMaterialUseMapper cmsMaterialUseMapper;

    /**
     * 查询素材使用记录
     * 
     * @param id 素材使用记录主键
     * @return 素材使用记录
     */
    @Override
    public CmsMaterialUse selectCmsMaterialUseById(Long id)
    {
        return cmsMaterialUseMapper.selectCmsMaterialUseById(id);
    }

    /**
     * 查询素材使用记录列表
     * 
     * @param cmsMaterialUse 素材使用记录
     * @return 素材使用记录
     */
    @Override
    public List<CmsMaterialUse> selectCmsMaterialUseList(CmsMaterialUse cmsMaterialUse)
    {
        return cmsMaterialUseMapper.selectCmsMaterialUseList(cmsMaterialUse);
    }

    /**
     * 新增素材使用记录
     * 
     * @param cmsMaterialUse 素材使用记录
     * @return 结果
     */
    @Override
    public int insertCmsMaterialUse(CmsMaterialUse cmsMaterialUse)
    {
        cmsMaterialUse.setCreateTime(DateUtils.getNowDate());
        return cmsMaterialUseMapper.insertCmsMaterialUse(cmsMaterialUse);
    }

    /**
     * 修改素材使用记录
     * 
     * @param cmsMaterialUse 素材使用记录
     * @return 结果
     */
    @Override
    public int updateCmsMaterialUse(CmsMaterialUse cmsMaterialUse)
    {
        return cmsMaterialUseMapper.updateCmsMaterialUse(cmsMaterialUse);
    }

    /**
     * 批量删除素材使用记录
     * 
     * @param ids 需要删除的素材使用记录主键
     * @return 结果
     */
    @Override
    public int deleteCmsMaterialUseByIds(Long[] ids)
    {
        return cmsMaterialUseMapper.deleteCmsMaterialUseByIds(ids);
    }

    /**
     * 删除素材使用记录信息
     * 
     * @param id 素材使用记录主键
     * @return 结果
     */
    @Override
    public int deleteCmsMaterialUseById(Long id)
    {
        return cmsMaterialUseMapper.deleteCmsMaterialUseById(id);
    }
}
